Update product group
Update details for a product group. Partial updates are allowed.
If scope is set and different from current scope, the scope is changed for product group and all children for this product group.
On parent UID field:
Set to a valid product group UID to move under a new parent.
Set to empty string to remove the parent and make the product group a root group.
Omit to keep the current parent.
Required permissions: PRODUCT_GROUP
put/tenants/{tenantUid}/product-groups/{productGroupUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
productGroupUidstringRequiredPattern:
Reference to a ProductGroup.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
namestringOptional
externalIdstringOptional
parentUidstringOptionalPattern:
^[A-Za-z0-9-_]*scopestring · enum · min: 1Optional
Possible values:
| ENUM | Description |
|---|---|
| SALE | Sale product scope. Default |
| SERVICE | Service product scope |
| NO_SEARCH | Not visible in search scope |
Responses
200
Example response
application/json
createdAtstring · date-timeRequired
externalIdstringRequired
hasChildrenbooleanRequired
True when the product group has one or more subgroups.
lastModifiedAtstring · date-timeRequired
namestringRequired
parentUidstringRequiredPattern:
^[A-Za-z0-9-_]*productCountintegerRequired
Number of products in this productGroup.
productGroupUidstringRequiredPattern:
^[A-Za-z0-9-_]+scopestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| SALE | Sale product scope. Default |
| SERVICE | Service product scope |
| NO_SEARCH | Not visible in search scope |
put/tenants/{tenantUid}/product-groups/{productGroupUid}
PUT /v2/tenants/{tenantUid}/product-groups/{productGroupUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"name": "text",
"externalId": "text",
"parentUid": "text",
"scope": "SALE"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"hasChildren": true,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"parentUid": "text",
"productCount": 1,
"productGroupUid": "text",
"scope": "SALE"
}Last updated
Was this helpful?

